void *mapKernel(unsigned long id) {
	switch(id) {
		case 0x80000001: return (void *) kernel_AvGetSavedDataAddress;
		case 0x80000002: return (void *) kernel_AvSendTVEncoderOption;
		case 0x80000003: return (void *) kernel_AvSetDisplayMode;
		case 0x80000004: return (void *) kernel_AvSetSavedDataAddress;
		case 0x80000005: return (void *) kernel_DbgBreakPoint;
		case 0x80000006: return (void *) kernel_DbgBreakPointWithStatus;
		case 0x80000007: return (void *) kernel_DbgLoadImageSymbols;
		case 0x80000008: return (void *) kernel_DbgPrint;
		case 0x80000009: return (void *) kernel_HalReadSMCTrayState;
		case 0x8000000A: return (void *) kernel_DbgPrompt;
		case 0x8000000B: return (void *) kernel_DbgUnLoadImageSymbols;
		case 0x8000000C: return (void *) kernel_ExAcquireReadWriteLockExclusive;
		case 0x8000000D: return (void *) kernel_ExAcquireReadWriteLockShared;
		case 0x8000000E: return (void *) kernel_ExAllocatePool;
		case 0x8000000F: return (void *) kernel_ExAllocatePoolWithTag;
		case 0x80000010: return (void *) kernel_ExEventObjectType;
		case 0x80000011: return (void *) kernel_ExFreePool;
		case 0x80000012: return (void *) kernel_ExInitializeReadWriteLock;
		case 0x80000013: return (void *) kernel_ExInterlockedAddLargeInteger;
		case 0x80000014: return (void *) kernel_ExInterlockedAddLargeStatistic;
		case 0x80000015: return (void *) kernel_ExInterlockedCompareExchange64;
		case 0x80000016: return (void *) kernel_ExMutantObjectType;
		case 0x80000017: return (void *) kernel_ExQueryPoolBlockSize;
		case 0x80000018: return (void *) kernel_ExQueryNonVolatileSetting;
		case 0x80000019: return (void *) kernel_ExReadWriteRefurbInfo;
		case 0x8000001A: return (void *) kernel_ExRaiseException;
		case 0x8000001B: return (void *) kernel_ExRaiseStatus;
		case 0x8000001C: return (void *) kernel_ExReleaseReadWriteLock;
		case 0x8000001D: return (void *) kernel_ExSaveNonVolatileSetting;
		case 0x8000001E: return (void *) kernel_ExSemaphoreObjectType;
		case 0x8000001F: return (void *) kernel_ExTimerObjectType;
		case 0x80000020: return (void *) kernel_ExfInterlockedInsertHeadList;
		case 0x80000021: return (void *) kernel_ExfInterlockedInsertTailList;
		case 0x80000022: return (void *) kernel_ExfInterlockedRemoveHeadList;
		case 0x80000023: return (void *) kernel_FscGetCacheSize;
		case 0x80000024: return (void *) kernel_FscInvalidateIdleBlocks;
		case 0x80000025: return (void *) kernel_FscSetCacheSize;
		case 0x80000026: return (void *) kernel_HalClearSoftwareInterrupt;
		case 0x80000027: return (void *) kernel_HalDisableSystemInterrupt;
		case 0x80000028: return (void *) kernel_HalDiskCachePartitionCount;
		case 0x80000029: return (void *) kernel_HalDiskModelNumber;
		case 0x8000002A: return (void *) kernel_HalDiskSerialNumber;
		case 0x8000002B: return (void *) kernel_HalEnableSystemInterrupt;
		case 0x8000002C: return (void *) kernel_HalGetInterruptVector;
		case 0x8000002D: return (void *) kernel_HalReadSMBusValue;
		case 0x8000002E: return (void *) kernel_HalReadWritePCISpace;
		case 0x8000002F: return (void *) kernel_HalRegisterShutdownNotification;
		case 0x80000030: return (void *) kernel_HalRequestSoftwareInterrupt;
		case 0x80000031: return (void *) kernel_HalReturnToFirmware;
		case 0x80000032: return (void *) kernel_HalWriteSMBusValue;
		case 0x80000033: return (void *) kernel_InterlockedCompareExchange;
		case 0x80000034: return (void *) kernel_InterlockedDecrement;
		case 0x80000035: return (void *) kernel_InterlockedIncrement;
		case 0x80000036: return (void *) kernel_InterlockedExchange;
		case 0x80000037: return (void *) kernel_InterlockedExchangeAdd;
		case 0x80000038: return (void *) kernel_InterlockedFlushSList;
		case 0x80000039: return (void *) kernel_InterlockedPopEntrySList;
		case 0x8000003A: return (void *) kernel_InterlockedPushEntrySList;
		case 0x8000003B: return (void *) kernel_IoAllocateIrp;
		case 0x8000003C: return (void *) kernel_IoBuildAsynchronousFsdRequest;
		case 0x8000003D: return (void *) kernel_IoBuildDeviceIoControlRequest;
		case 0x8000003E: return (void *) kernel_IoBuildSynchronousFsdRequest;
		case 0x8000003F: return (void *) kernel_IoCheckShareAccess;
		case 0x80000040: return (void *) kernel_IoCompletionObjectType;
		case 0x80000041: return (void *) kernel_IoCreateDevice;
		case 0x80000042: return (void *) kernel_IoCreateFile;
		case 0x80000043: return (void *) kernel_IoCreateSymbolicLink;
		case 0x80000044: return (void *) kernel_IoDeleteDevice;
		case 0x80000045: return (void *) kernel_IoDeleteSymbolicLink;
		case 0x80000046: return (void *) kernel_IoDeviceObjectType;
		case 0x80000047: return (void *) kernel_IoFileObjectType;
		case 0x80000048: return (void *) kernel_IoFreeIrp;
		case 0x80000049: return (void *) kernel_IoInitializeIrp;
		case 0x8000004A: return (void *) kernel_IoInvalidDeviceRequest;
		case 0x8000004B: return (void *) kernel_IoQueryFileInformation;
		case 0x8000004C: return (void *) kernel_IoQueryVolumeInformation;
		case 0x8000004D: return (void *) kernel_IoQueueThreadIrp;
		case 0x8000004E: return (void *) kernel_IoRemoveShareAccess;
		case 0x8000004F: return (void *) kernel_IoSetIoCompletion;
		case 0x80000050: return (void *) kernel_IoSetShareAccess;
		case 0x80000051: return (void *) kernel_IoStartNextPacket;
		case 0x80000052: return (void *) kernel_IoStartNextPacketByKey;
		case 0x80000053: return (void *) kernel_IoStartPacket;
		case 0x80000054: return (void *) kernel_IoSynchronousDeviceIoControlRequest;
		case 0x80000055: return (void *) kernel_IoSynchronousFsdRequest;
		case 0x80000056: return (void *) kernel_IofCallDriver;
		case 0x80000057: return (void *) kernel_IofCompleteRequest;
		case 0x80000058: return (void *) kernel_KdDebuggerEnabled;
		case 0x80000059: return (void *) kernel_KdDebuggerNotPresent;
		case 0x8000005A: return (void *) kernel_IoDismountVolume;
		case 0x8000005B: return (void *) kernel_IoDismountVolumeByName;
		case 0x8000005C: return (void *) kernel_KeAlertResumeThread;
		case 0x8000005D: return (void *) kernel_KeAlertThread;
		case 0x8000005E: return (void *) kernel_KeBoostPriorityThread;
		case 0x8000005F: return (void *) kernel_KeBugCheck;
		case 0x80000060: return (void *) kernel_KeBugCheckEx;
		case 0x80000061: return (void *) kernel_KeCancelTimer;
		case 0x80000062: return (void *) kernel_KeConnectInterrupt;
		case 0x80000063: return (void *) kernel_KeDelayExecutionThread;
		case 0x80000064: return (void *) kernel_KeDisconnectInterrupt;
		case 0x80000065: return (void *) kernel_KeEnterCriticalRegion;
		case 0x80000066: return (void *) kernel_MmGlobalData;
		case 0x80000067: return (void *) kernel_KeGetCurrentIrql;
		case 0x80000068: return (void *) kernel_KeGetCurrentThread;
		case 0x80000069: return (void *) kernel_KeInitializeApc;
		case 0x8000006A: return (void *) kernel_KeInitializeDeviceQueue;
		case 0x8000006B: return (void *) kernel_KeInitializeDpc;
		case 0x8000006C: return (void *) kernel_KeInitializeEvent;
		case 0x8000006D: return (void *) kernel_KeInitializeInterrupt;
		case 0x8000006E: return (void *) kernel_KeInitializeMutant;
		case 0x8000006F: return (void *) kernel_KeInitializeQueue;
		case 0x80000070: return (void *) kernel_KeInitializeSemaphore;
		case 0x80000071: return (void *) kernel_KeInitializeTimerEx;
		case 0x80000072: return (void *) kernel_KeInsertByKeyDeviceQueue;
		case 0x80000073: return (void *) kernel_KeInsertDeviceQueue;
		case 0x80000074: return (void *) kernel_KeInsertHeadQueue;
		case 0x80000075: return (void *) kernel_KeInsertQueue;
		case 0x80000076: return (void *) kernel_KeInsertQueueApc;
		case 0x80000077: return (void *) kernel_KeInsertQueueDpc;
		case 0x80000078: return (void *) kernel_KeInterruptTime;
		case 0x80000079: return (void *) kernel_KeIsExecutingDpc;
		case 0x8000007A: return (void *) kernel_KeLeaveCriticalRegion;
		case 0x8000007B: return (void *) kernel_KePulseEvent;
		case 0x8000007C: return (void *) kernel_KeQueryBasePriorityThread;
		case 0x8000007D: return (void *) kernel_KeQueryInterruptTime;
		case 0x8000007E: return (void *) kernel_KeQueryPerformanceCounter;
		case 0x8000007F: return (void *) kernel_KeQueryPerformanceFrequency;
		case 0x80000080: return (void *) kernel_KeQuerySystemTime;
		case 0x80000081: return (void *) kernel_KeRaiseIrqlToDpcLevel;
		case 0x80000082: return (void *) kernel_KeRaiseIrqlToSynchLevel;
		case 0x80000083: return (void *) kernel_KeReleaseMutant;
		case 0x80000084: return (void *) kernel_KeReleaseSemaphore;
		case 0x80000085: return (void *) kernel_KeRemoveByKeyDeviceQueue;
		case 0x80000086: return (void *) kernel_KeRemoveDeviceQueue;
		case 0x80000087: return (void *) kernel_KeRemoveEntryDeviceQueue;
		case 0x80000088: return (void *) kernel_KeRemoveQueue;
		case 0x80000089: return (void *) kernel_KeRemoveQueueDpc;
		case 0x8000008A: return (void *) kernel_KeResetEvent;
		case 0x8000008B: return (void *) kernel_KeRestoreFloatingPointState;
		case 0x8000008C: return (void *) kernel_KeResumeThread;
		case 0x8000008D: return (void *) kernel_KeRundownQueue;
		case 0x8000008E: return (void *) kernel_KeSaveFloatingPointState;
		case 0x8000008F: return (void *) kernel_KeSetBasePriorityThread;
		case 0x80000090: return (void *) kernel_KeSetDisableBoostThread;
		case 0x80000091: return (void *) kernel_KeSetEvent;
		case 0x80000092: return (void *) kernel_KeSetEventBoostPriority;
		case 0x80000093: return (void *) kernel_KeSetPriorityProcess;
		case 0x80000094: return (void *) kernel_KeSetPriorityThread;
		case 0x80000095: return (void *) kernel_KeSetTimer;
		case 0x80000096: return (void *) kernel_KeSetTimerEx;
		case 0x80000097: return (void *) kernel_KeStallExecutionProcessor;
		case 0x80000098: return (void *) kernel_KeSuspendThread;
		case 0x80000099: return (void *) kernel_KeSynchronizeExecution;
		case 0x8000009A: return (void *) kernel_KeSystemTime;
		case 0x8000009B: return (void *) kernel_KeTestAlertThread;
		case 0x8000009C: return (void *) kernel_KeTickCount;
		case 0x8000009D: return (void *) kernel_KeTimeIncrement;
		case 0x8000009E: return (void *) kernel_KeWaitForMultipleObjects;
		case 0x8000009F: return (void *) kernel_KeWaitForSingleObject;
		case 0x800000A0: return (void *) kernel_KfRaiseIrql;
		case 0x800000A1: return (void *) kernel_KfLowerIrql;
		case 0x800000A2: return (void *) kernel_KiBugCheckData;
		case 0x800000A3: return (void *) kernel_KiUnlockDispatcherDatabase;
		case 0x800000A4: return (void *) kernel_LaunchDataPage;
		case 0x800000A5: return (void *) kernel_MmAllocateContiguousMemory;
		case 0x800000A6: return (void *) kernel_MmAllocateContiguousMemoryEx;
		case 0x800000A7: return (void *) kernel_MmAllocateSystemMemory;
		case 0x800000A8: return (void *) kernel_MmClaimGpuInstanceMemory;
		case 0x800000A9: return (void *) kernel_MmCreateKernelStack;
		case 0x800000AA: return (void *) kernel_MmDeleteKernelStack;
		case 0x800000AB: return (void *) kernel_MmFreeContiguousMemory;
		case 0x800000AC: return (void *) kernel_MmFreeSystemMemory;
		case 0x800000AD: return (void *) kernel_MmGetPhysicalAddress;
		case 0x800000AE: return (void *) kernel_MmIsAddressValid;
		case 0x800000AF: return (void *) kernel_MmLockUnlockBufferPages;
		case 0x800000B0: return (void *) kernel_MmLockUnlockPhysicalPage;
		case 0x800000B1: return (void *) kernel_MmMapIoSpace;
		case 0x800000B2: return (void *) kernel_MmPersistContiguousMemory;
		case 0x800000B3: return (void *) kernel_MmQueryAddressProtect;
		case 0x800000B4: return (void *) kernel_MmQueryAllocationSize;
		case 0x800000B5: return (void *) kernel_MmQueryStatistics;
		case 0x800000B6: return (void *) kernel_MmSetAddressProtect;
		case 0x800000B7: return (void *) kernel_MmUnmapIoSpace;
		case 0x800000B8: return (void *) kernel_NtAllocateVirtualMemory;
		case 0x800000B9: return (void *) kernel_NtCancelTimer;
		case 0x800000BA: return (void *) kernel_NtClearEvent;
		case 0x800000BB: return (void *) kernel_NtClose;
		case 0x800000BC: return (void *) kernel_NtCreateDirectoryObject;
		case 0x800000BD: return (void *) kernel_NtCreateEvent;
		case 0x800000BE: return (void *) kernel_NtCreateFile;
		case 0x800000BF: return (void *) kernel_NtCreateIoCompletion;
		case 0x800000C0: return (void *) kernel_NtCreateMutant;
		case 0x800000C1: return (void *) kernel_NtCreateSemaphore;
		case 0x800000C2: return (void *) kernel_NtCreateTimer;
		case 0x800000C3: return (void *) kernel_NtDeleteFile;
		case 0x800000C4: return (void *) kernel_NtDeviceIoControlFile;
		case 0x800000C5: return (void *) kernel_NtDuplicateObject;
		case 0x800000C6: return (void *) kernel_NtFlushBuffersFile;
		case 0x800000C7: return (void *) kernel_NtFreeVirtualMemory;
		case 0x800000C8: return (void *) kernel_NtFsControlFile;
		case 0x800000C9: return (void *) kernel_NtOpenDirectoryObject;
		case 0x800000CA: return (void *) kernel_NtOpenFile;
		case 0x800000CB: return (void *) kernel_NtOpenSymbolicLinkObject;
		case 0x800000CC: return (void *) kernel_NtProtectVirtualMemory;
		case 0x800000CD: return (void *) kernel_NtPulseEvent;
		case 0x800000CE: return (void *) kernel_NtQueueApcThread;
		case 0x800000CF: return (void *) kernel_NtQueryDirectoryFile;
		case 0x800000D0: return (void *) kernel_NtQueryDirectoryObject;
		case 0x800000D1: return (void *) kernel_NtQueryEvent;
		case 0x800000D2: return (void *) kernel_NtQueryFullAttributesFile;
		case 0x800000D3: return (void *) kernel_NtQueryInformationFile;
		case 0x800000D4: return (void *) kernel_NtQueryIoCompletion;
		case 0x800000D5: return (void *) kernel_NtQueryMutant;
		case 0x800000D6: return (void *) kernel_NtQuerySemaphore;
		case 0x800000D7: return (void *) kernel_NtQuerySymbolicLinkObject;
		case 0x800000D8: return (void *) kernel_NtQueryTimer;
		case 0x800000D9: return (void *) kernel_NtQueryVirtualMemory;
		case 0x800000DA: return (void *) kernel_NtQueryVolumeInformationFile;
		case 0x800000DB: return (void *) kernel_NtReadFile;
		case 0x800000DC: return (void *) kernel_NtReadFileScatter;
		case 0x800000DD: return (void *) kernel_NtReleaseMutant;
		case 0x800000DE: return (void *) kernel_NtReleaseSemaphore;
		case 0x800000DF: return (void *) kernel_NtRemoveIoCompletion;
		case 0x800000E0: return (void *) kernel_NtResumeThread;
		case 0x800000E1: return (void *) kernel_NtSetEvent;
		case 0x800000E2: return (void *) kernel_NtSetInformationFile;
		case 0x800000E3: return (void *) kernel_NtSetIoCompletion;
		case 0x800000E4: return (void *) kernel_NtSetSystemTime;
		case 0x800000E5: return (void *) kernel_NtSetTimerEx;
		case 0x800000E6: return (void *) kernel_NtSignalAndWaitForSingleObjectEx;
		case 0x800000E7: return (void *) kernel_NtSuspendThread;
		case 0x800000E8: return (void *) kernel_NtUserIoApcDispatcher;
		case 0x800000E9: return (void *) kernel_NtWaitForSingleObject;
		case 0x800000EA: return (void *) kernel_NtWaitForSingleObjectEx;
		case 0x800000EB: return (void *) kernel_NtWaitForMultipleObjectsEx;
		case 0x800000EC: return (void *) kernel_NtWriteFile;
		case 0x800000ED: return (void *) kernel_NtWriteFileGather;
		case 0x800000EE: return (void *) kernel_NtYieldExecution;
		case 0x800000EF: return (void *) kernel_ObCreateObject;
		case 0x800000F0: return (void *) kernel_ObDirectoryObjectType;
		case 0x800000F1: return (void *) kernel_ObInsertObject;
		case 0x800000F2: return (void *) kernel_ObMakeTemporaryObject;
		case 0x800000F3: return (void *) kernel_ObOpenObjectByName;
		case 0x800000F4: return (void *) kernel_ObOpenObjectByPointer;
		case 0x800000F5: return (void *) kernel_ObpObjectHandleTable;
		case 0x800000F6: return (void *) kernel_ObReferenceObjectByHandle;
		case 0x800000F7: return (void *) kernel_ObReferenceObjectByName;
		case 0x800000F8: return (void *) kernel_ObReferenceObjectByPointer;
		case 0x800000F9: return (void *) kernel_ObSymbolicLinkObjectType;
		case 0x800000FA: return (void *) kernel_ObfDereferenceObject;
		case 0x800000FB: return (void *) kernel_ObfReferenceObject;
		case 0x800000FC: return (void *) kernel_PhyGetLinkState;
		case 0x800000FD: return (void *) kernel_PhyInitialize;
		case 0x800000FE: return (void *) kernel_PsCreateSystemThread;
		case 0x800000FF: return (void *) kernel_PsCreateSystemThreadEx;
		case 0x80000100: return (void *) kernel_PsQueryStatistics;
		case 0x80000101: return (void *) kernel_PsSetCreateThreadNotifyRoutine;
		case 0x80000102: return (void *) kernel_PsTerminateSystemThread;
		case 0x80000103: return (void *) kernel_PsThreadObjectType;
		case 0x80000104: return (void *) kernel_RtlAnsiStringToUnicodeString;
		case 0x80000105: return (void *) kernel_RtlAppendStringToString;
		case 0x80000106: return (void *) kernel_RtlAppendUnicodeStringToString;
		case 0x80000107: return (void *) kernel_RtlAppendUnicodeToString;
		case 0x80000108: return (void *) kernel_RtlAssert;
		case 0x80000109: return (void *) kernel_RtlCaptureContext;
		case 0x8000010A: return (void *) kernel_RtlCaptureStackBackTrace;
		case 0x8000010B: return (void *) kernel_RtlCharToInteger;
		case 0x8000010C: return (void *) kernel_RtlCompareMemory;
		case 0x8000010D: return (void *) kernel_RtlCompareMemoryUlong;
		case 0x8000010E: return (void *) kernel_RtlCompareString;
		case 0x8000010F: return (void *) kernel_RtlCompareUnicodeString;
		case 0x80000110: return (void *) kernel_RtlCopyString;
		case 0x80000111: return (void *) kernel_RtlCopyUnicodeString;
		case 0x80000112: return (void *) kernel_RtlCreateUnicodeString;
		case 0x80000113: return (void *) kernel_RtlDowncaseUnicodeChar;
		case 0x80000114: return (void *) kernel_RtlDowncaseUnicodeString;
		case 0x80000115: return (void *) kernel_RtlEnterCriticalSection;
		case 0x80000116: return (void *) kernel_RtlEnterCriticalSectionAndRegion;
		case 0x80000117: return (void *) kernel_RtlEqualString;
		case 0x80000118: return (void *) kernel_RtlEqualUnicodeString;
		case 0x80000119: return (void *) kernel_RtlExtendedIntegerMultiply;
		case 0x8000011A: return (void *) kernel_RtlExtendedLargeIntegerDivide;
		case 0x8000011B: return (void *) kernel_RtlExtendedMagicDivide;
		case 0x8000011C: return (void *) kernel_RtlFillMemory;
		case 0x8000011D: return (void *) kernel_RtlFillMemoryUlong;
		case 0x8000011E: return (void *) kernel_RtlFreeAnsiString;
		case 0x8000011F: return (void *) kernel_RtlFreeUnicodeString;
		case 0x80000120: return (void *) kernel_RtlGetCallersAddress;
		case 0x80000121: return (void *) kernel_RtlInitAnsiString;
		case 0x80000122: return (void *) kernel_RtlInitUnicodeString;
		case 0x80000123: return (void *) kernel_RtlInitializeCriticalSection;
		case 0x80000124: return (void *) kernel_RtlIntegerToChar;
		case 0x80000125: return (void *) kernel_RtlIntegerToUnicodeString;
		case 0x80000126: return (void *) kernel_RtlLeaveCriticalSection;
		case 0x80000127: return (void *) kernel_RtlLeaveCriticalSectionAndRegion;
		case 0x80000128: return (void *) kernel_RtlLowerChar;
		case 0x80000129: return (void *) kernel_RtlMapGenericMask;
		case 0x8000012A: return (void *) kernel_RtlMoveMemory;
		case 0x8000012B: return (void *) kernel_RtlMultiByteToUnicodeN;
		case 0x8000012C: return (void *) kernel_RtlMultiByteToUnicodeSize;
		case 0x8000012D: return (void *) kernel_RtlNtStatusToDosError;
		case 0x8000012E: return (void *) kernel_RtlRaiseException;
		case 0x8000012F: return (void *) kernel_RtlRaiseStatus;
		case 0x80000130: return (void *) kernel_RtlTimeFieldsToTime;
		case 0x80000131: return (void *) kernel_RtlTimeToTimeFields;
		case 0x80000132: return (void *) kernel_RtlTryEnterCriticalSection;
		case 0x80000133: return (void *) kernel_RtlUlongByteSwap;
		case 0x80000134: return (void *) kernel_RtlUnicodeStringToAnsiString;
		case 0x80000135: return (void *) kernel_RtlUnicodeStringToInteger;
		case 0x80000136: return (void *) kernel_RtlUnicodeToMultiByteN;
		case 0x80000137: return (void *) kernel_RtlUnicodeToMultiByteSize;
		case 0x80000138: return (void *) kernel_RtlUnwind;
		case 0x80000139: return (void *) kernel_RtlUpcaseUnicodeChar;
		case 0x8000013A: return (void *) kernel_RtlUpcaseUnicodeString;
		case 0x8000013B: return (void *) kernel_RtlUpcaseUnicodeToMultiByteN;
		case 0x8000013C: return (void *) kernel_RtlUpperChar;
		case 0x8000013D: return (void *) kernel_RtlUpperString;
		case 0x8000013E: return (void *) kernel_RtlUshortByteSwap;
		case 0x8000013F: return (void *) kernel_RtlWalkFrameChain;
		case 0x80000140: return (void *) kernel_RtlZeroMemory;
		case 0x80000141: return (void *) kernel_XboxEEPROMKey;
		case 0x80000142: return (void *) kernel_XboxHardwareInfo;
		case 0x80000143: return (void *) kernel_XboxHDKey;
		case 0x80000144: return (void *) kernel_XboxKrnlVersion;
		case 0x80000145: return (void *) kernel_XboxSignatureKey;
		case 0x80000146: return (void *) kernel_XeImageFileName;
		case 0x80000147: return (void *) kernel_XeLoadSection;
		case 0x80000148: return (void *) kernel_XeUnloadSection;
		case 0x80000149: return (void *) kernel_READ_PORT_BUFFER_UCHAR;
		case 0x8000014A: return (void *) kernel_READ_PORT_BUFFER_USHORT;
		case 0x8000014B: return (void *) kernel_READ_PORT_BUFFER_ULONG;
		case 0x8000014C: return (void *) kernel_WRITE_PORT_BUFFER_UCHAR;
		case 0x8000014D: return (void *) kernel_WRITE_PORT_BUFFER_USHORT;
		case 0x8000014E: return (void *) kernel_WRITE_PORT_BUFFER_ULONG;
		case 0x8000014F: return (void *) kernel_XcSHAInit;
		case 0x80000150: return (void *) kernel_XcSHAUpdate;
		case 0x80000151: return (void *) kernel_XcSHAFinal;
		case 0x80000152: return (void *) kernel_XcRC4Key;
		case 0x80000153: return (void *) kernel_XcRC4Crypt;
		case 0x80000154: return (void *) kernel_XcHMAC;
		case 0x80000155: return (void *) kernel_XcPKEncPublic;
		case 0x80000156: return (void *) kernel_XcPKDecPrivate;
		case 0x80000157: return (void *) kernel_XcPKGetKeyLen;
		case 0x80000158: return (void *) kernel_XcVerifyPKCS1Signature;
		case 0x80000159: return (void *) kernel_XcModExp;
		case 0x8000015A: return (void *) kernel_XcDESKeyParity;
		case 0x8000015B: return (void *) kernel_XcKeyTable;
		case 0x8000015C: return (void *) kernel_XcBlockCrypt;
		case 0x8000015D: return (void *) kernel_XcBlockCryptCBC;
		case 0x8000015E: return (void *) kernel_XcCryptService;
		case 0x8000015F: return (void *) kernel_XcUpdateCrypto;
		case 0x80000160: return (void *) kernel_RtlRip;
		case 0x80000161: return (void *) kernel_XboxLANKey;
		case 0x80000162: return (void *) kernel_XboxAlternateSignatureKeys;
		case 0x80000163: return (void *) kernel_XePublicKeyData;
		case 0x80000164: return (void *) kernel_HalBootSMCVideoMode;
		case 0x80000165: return (void *) kernel_IdexChannelObject;
		case 0x80000166: return (void *) kernel_HalIsResetOrShutdownPending;
		case 0x80000167: return (void *) kernel_IoMarkIrpMustComplete;
		case 0x80000168: return (void *) kernel_HalInitiateShutdown;
		case 0x80000169: return (void *) kernel_snprintf;
		case 0x8000016A: return (void *) kernel_sprintf;
		case 0x8000016B: return (void *) kernel_vsnprintf;
		case 0x8000016C: return (void *) kernel_vsprintf;
		case 0x8000016D: return (void *) kernel_HalEnableSecureTrayEject;
		case 0x8000016E: return (void *) kernel_HalWriteSMCScratchRegister;
		default: return (void *) 0;
	}
}
